Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj
Class AspectJExpressionPointcutAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor
          org.springframework.aop.support.AbstractGenericPointcutAdvisor
              org.springframework.aop.aspectj.AspectJExpressionPointcutAdvisor

All Implemented Interfaces:
  java.io.Serializable, Advisor, PointcutAdvisor, Ordered

    public class AspectJExpressionPointcutAdvisor

extends AbstractGenericPointcutAdvisor

Spring AOP Advisor that can be used for any AspectJ pointcut expression.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`AspectJExpressionPointcutAdvisor()`

Method Summary
`java.lang.String` | `getExpression()`
`java.lang.String` | `getLocation()`
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
`void` | `setExpression(java.lang.String expression)`
`void` | `setLocation(java.lang.String location)`
`void` | `setParameterNames(java.lang.String[] names)`
`void` | `setParameterTypes(java.lang.Class[] types)`

Methods inherited from class org.springframework.aop.support.AbstractGenericPointcutAdvisor
`getAdvice, setAdvice, toString`

Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor
`equals, getOrder, hashCode, isPerInstance, setOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AspectJExpressionPointcutAdvisor

    public AspectJExpressionPointcutAdvisor()

Method Detail

### getPointcut

    public Pointcut getPointcut()

  Description copied from interface: `PointcutAdvisor`
  Get the Pointcut that drives this advisor.

### setExpression

    public void setExpression(java.lang.String expression)

### setLocation

    public void setLocation(java.lang.String location)

### setParameterTypes

    public void setParameterTypes(java.lang.Class[] types)

### setParameterNames

    public void setParameterNames(java.lang.String[] names)

### getLocation

    public java.lang.String getLocation()

### getExpression

    public java.lang.String getExpression()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD